List Workspaces
/unified/user-directory/workspaces
Partial response — use the "get" endpoint for the full object.
Query Parameters
Refer Specifying query parameters in Truto APIs
Date and time when the workspace was last updated.
23 supported
7 supported5 required2 notes
The unique identifier for the organization
Either of organization_id or group_id is required.
Either of organization_id or group_id is required.
1 supported
Status for the workspace
activeinactive
20 supported
Name of the workspace.
54 supported
Description for the workspace.
17 supported
created_atnameupdated_at
3 supported
namecreated_atupdated_atnamecreated_atupdated_atWhen set with include_nested=true, returns all descendants of this parent group
1 supported
Set to true to return all descendant groups (direct and indirect) of the group specified by workspace_id.
1 supported
analyticssharepointteams
2 supported2 required2 notes
analyticsSelect the product for which you want to retrieve the workspaces.
teamssharepointSelect the product for which you want to retrieve the users.
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Workspaces
Unique identifier for the workspace.
54 supported
Date and time when the workspace was created.
34 supported
Description for the workspace.
17 supported
Name of the workspace.
54 supported
organization associated with the workspace
12 supported
2 properties
The unique identifier for an organization
The name of the organization
Raw data returned from the remote API call.
Status for the workspace
activeinactive
20 supported
Date and time when the workspace was last updated.
23 supported
curl -X GET 'https://api.truto.one/unified/user-directory/workspaces?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/user-directory/workspaces?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/user-directory/workspaces"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'user-directory',
'workspaces',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"user-directory",
"workspaces",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())